Create Child Simulated Event

post

/sia/v1/event/simulated/{id}/children

Creates a child simulated event under the given parent id (masterEvent), forcing alarmType=Simulated and rootElement=false.

Request

Path Parameters
Supported Media Types
Request Body - application/json ()
Root Schema : schema
Type: object
Show Source
Nested Schema : attemptedRingStrategies
Type: array
Ring calculation strategy context: the successful strategy for positive Rings results, or zero-result attempted strategies when noRingsFound is true.
Show Source
Nested Schema : edgeLinkEntityId
Type: array
Entity ids of the communication edges in topology that terminate on the inventory resource on which this event is raised.
Show Source
Nested Schema : properties
Type: object
Additional Properties Allowed
Show Source
Nested Schema : relationships
Type: object
Additional Properties Allowed
Show Source
Examples

Back to Top

Response

Supported Media Types

200 Response

Child simulated event created.
Body ()
Root Schema : schema
Type: object
Show Source
Nested Schema : attemptedRingStrategies
Type: array
Ring calculation strategy context: the successful strategy for positive Rings results, or zero-result attempted strategies when noRingsFound is true.
Show Source
Nested Schema : edgeLinkEntityId
Type: array
Entity ids of the communication edges in topology that terminate on the inventory resource on which this event is raised.
Show Source
Nested Schema : properties
Type: object
Additional Properties Allowed
Show Source
Nested Schema : relationships
Type: object
Additional Properties Allowed
Show Source

400 Response

The request isn't valid
Body ()
Root Schema : ErrorType
Type: object
Show Source
Nested Schema : message
Type: array
Show Source

401 Response

The request is unauthorized
Body ()
Root Schema : ErrorType
Type: object
Show Source
Nested Schema : message
Type: array
Show Source

403 Response

The request is forbidden
Body ()
Root Schema : ErrorType
Type: object
Show Source
Nested Schema : message
Type: array
Show Source

404 Response

The requested resource not found
Body ()
Root Schema : ErrorType
Type: object
Show Source
Nested Schema : message
Type: array
Show Source

500 Response

An Internal Server Error has occurred
Body ()
Root Schema : ErrorType
Type: object
Show Source
Nested Schema : message
Type: array
Show Source
Back to Top